import { localFileService } from '@nangohq/shared';
class IntegrationService {
    async runScript(syncName, _activityLogId, nango, _integrationData, _environmentId, _writeToDb, isAction, optionalLoadLocation, input) {
        try {
            const script = localFileService.getIntegrationFile(syncName, optionalLoadLocation);
            if (!script) {
                const content = `Unable to find integration file for ${syncName}`;
                console.error(content);
            }
            try {
                let scriptExports;
                eval(`scriptExports = ${script}`);
                if (scriptExports && typeof scriptExports.default === 'function') {
                    const results = isAction ? await scriptExports.default(nango, input) : await scriptExports.default(nango);
                    return results;
                }
                else {
                    const content = `There is no default export that is a function for ${syncName}`;
                    console.error(content);
                    return null;
                }
            }
            catch (err) {
                console.error(err);
                return null;
            }
        }
        catch (err) {
            const errorMessage = JSON.stringify(err, ['message', 'name', 'stack'], 2);
            const content = `The script failed to load for ${syncName} with the following error: ${errorMessage}`;
            console.error(content);
            return null;
        }
    }
}
export default new IntegrationService();
//# sourceMappingURL=integration.service.js.map