import { loadStandardConfig, nangoConfigFile } from '@nangohq/shared';
import { printDebug } from '../utils.js';
class YamlService {
    async getConfig(optionalLoadLocation = '', debug = false) {
        const loadLocation = optionalLoadLocation || './';
        const config = await loadStandardConfig(loadLocation);
        if (!config) {
            throw new Error(`Error loading the ${nangoConfigFile} file`);
        }
        if (debug) {
            printDebug(`Config file file found`);
        }
        return config;
    }
    getModelNames(config) {
        const modelNames = config.reduce((acc, config) => {
            const syncs = config.syncs || [];
            const actions = config.actions || [];
            const allSyncs = [...syncs, ...actions];
            const models = allSyncs.reduce((acc, sync) => {
                const models = sync.models || [];
                const names = models.map((model) => model.name);
                return [...acc, ...names];
            }, []);
            return [...acc, ...models];
        }, []);
        return modelNames;
    }
}
const yamlService = new YamlService();
export default yamlService;
//# sourceMappingURL=yaml.service.js.map